Package org.apache.wiki.tags

## Class WikiLinkTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase
    - - org.apache.wiki.tags.WikiLinkTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

Direct Known Subclasses:
  `CommentLinkTag`, `DiffLinkTag`, `EditLinkTag`, `LinkTag`, `LinkToTag`, `PageInfoLinkTag`, `UploadLinkTag`

    public abstract class WikiLinkTag
    extends WikiTagBase

Root class for different internal wiki links. Cannot be used directly, but provides basic stuff for other classes.

Extend from this class if you need the following attributes.

Attributes

- page - Page name to refer to. Default is the current page.
- format - Either "url" or "anchor". If "url", will provide just the URL for the link. If "anchor", will output proper HTML (<a> href="...).

Since:
  2.0
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `ANCHOR`
`protected int` `m_format`
`protected java.lang.String` `m_pageName`
`protected java.lang.String` `m_template`
`static int` `URL`

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`WikiLinkTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doEndTag()`
`java.lang.String` `getPage()`
`java.lang.String` `getTemplate()`
`void` `initTag()` This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void` `setFormat​(java.lang.String mode)`
`void` `setPage​(java.lang.String page)`
`void` `setTemplate​(java.lang.String arg)`

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doFinally, doStartTag, doWikiStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ANCHOR

    public static final int ANCHOR

See Also:
  Constant Field Values

#### URL

    public static final int URL

See Also:
  Constant Field Values

#### m_pageName

    protected java.lang.String m_pageName

#### m_format

    protected int m_format

#### m_template

    protected java.lang.String m_template

### Constructor Detail

#### WikiLinkTag

    public WikiLinkTag()

### Method Detail

#### initTag

    public void initTag()

Description copied from class: `WikiTagBase`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiTagBase`

#### setPage

    public void setPage​(java.lang.String page)

#### getPage

    public java.lang.String getPage()

#### getTemplate

    public java.lang.String getTemplate()

#### setTemplate

    public void setTemplate​(java.lang.String arg)

#### setFormat

    public void setFormat​(java.lang.String mode)

#### doEndTag

    public int doEndTag()

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `WikiTagBase`